package com.yeejoin.amos.patrol.core.common.response;

import com.alibaba.fastjson.JSONObject;

import java.util.Date;
import java.util.List;
import java.util.Map;

public class AppPointCheckRespone {

    private long pointId;

    private String pointName;

    private String pointNo;

    private String pointStatus;

    private String planName;

    private String departmentName;

    private String username;

    private Date checkTime;
    
    private String strCheckTime;

    private long checkId;

    private String remark;

    private String score;

    private List<String> pointImgUrls;

    private JSONObject appCheckInput;

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getPointNo() {
        return pointNo;
    }

    public void setPointNo(String pointNo) {
        this.pointNo = pointNo;
    }

    public String getPointStatus() {
        return pointStatus;
    }

    public void setPointStatus(String pointStatus) {
        this.pointStatus = pointStatus;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public long getCheckId() {
        return checkId;
    }

    public void setCheckId(long checkId) {
        this.checkId = checkId;
    }

    public List<String> getPointImgUrls() {
        return pointImgUrls;
    }

    public void setPointImgUrls(List<String> pointImgUrls) {
        this.pointImgUrls = pointImgUrls;
    }

//		public List<AppCheckInputRespone> getCheckInput() {
//			return checkInput;
//		}
//
//		public void setCheckInput(List<AppCheckInputRespone> checkInput) {
//			this.checkInput = checkInput;
//		}


    public long getPointId() {
        return pointId;
    }

    public void setPointId(long pointId) {
        this.pointId = pointId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

  

	

	public JSONObject getAppCheckInput() {
		return appCheckInput;
	}

	public void setAppCheckInput(JSONObject appCheckInput) {
		this.appCheckInput = appCheckInput;
	}

	public String getStrCheckTime() {
		return strCheckTime;
	}

	public void setStrCheckTime(String strCheckTime) {
		this.strCheckTime = strCheckTime;
	}
}
